Main Page Widgets Namespaces Book

# Gtk::Misc Class Reference

A base class for widgets with alignments and padding. More...

Inheritance diagram for Gtk::Misc:

[legend]
List of all members.

## Public Member Functions

virtual | ~Misc ()
GtkMisc* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkMisc* | gobj () const
| Provides access to the underlying C GtkObject.
void | set_alignment (float xalign=0.0, float yalign=0.5)
void | set_alignment (AlignmentEnum xalign=Gtk::ALIGN_LEFT, AlignmentEnum yalign=Gtk::ALIGN_CENTER)
void | get_alignment (float& xalign, float& yalign) const
| Gets the X and Y alignment of the widget within its allocation.
void | set_padding (int xpad, int ypad)
void | get_padding (int& xpad, int& ypad) const
| Gets the padding in the X and Y directions of the widget.
Glib::PropertyProxy<float> | property_xalign ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<float> | property_yalign ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<int> | property_xpad ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<int> | property_ypad ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Protected Member Functions

| Misc ()

## Related Functions

(Note that these are not member functions.)
Gtk::Misc* | wrap (GtkMisc* object, bool take_copy=false)

## Detailed Description

A base class for widgets with alignments and padding.

This is an abstract for a set of utility widgets that lack a physical window. They do have alignment and padding within their defined space.

Without a window, widgets of this type cannot capture events. To capture events place in Gtk::EventBox.

## Constructor & Destructor Documentation

virtual Gtk::Misc::~Misc | ( |  | ) | `[virtual]`

Gtk::Misc::Misc | ( |  | ) | `[protected]`

## Member Function Documentation

void Gtk::Misc::get_alignment | ( | float& | xalign,
|  | float& | yalign
| ) | const

Gets the X and Y alignment of the widget within its allocation.

See set_alignment().

Parameters:

  xalign | Location to store X alignment of misc , or `0`.
  yalign | Location to store Y alignment of misc , or `0`.

void Gtk::Misc::get_padding | ( | int& | xpad,
|  | int& | ypad
| ) | const

Gets the padding in the X and Y directions of the widget.

See set_padding().

Parameters:

  xpad | Location to store padding in the X direction, or `0`.
  ypad | Location to store padding in the Y direction, or `0`.

const GtkMisc* Gtk::Misc::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Widget. Reimplemented in Gtk::AccelLabel, Gtk::Arrow, Gtk::Image, and Gtk::Label.

GtkMisc* Gtk::Misc::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Widget. Reimplemented in Gtk::AccelLabel, Gtk::Arrow, Gtk::Image, and Gtk::Label.

Glib::PropertyProxy<float> Gtk::Misc::property_xalign | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Misc::property_xpad | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Gtk::Misc::property_yalign | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Misc::property_ypad | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::Misc::set_alignment | ( | AlignmentEnum | xalign = Gtk::ALIGN_LEFT,
|  | AlignmentEnum | yalign = Gtk::ALIGN_CENTER
| ) |

void Gtk::Misc::set_alignment | ( | float | xalign = 0.0,
|  | float | yalign = 0.5
| ) |

void Gtk::Misc::set_padding | ( | int | xpad,
|  | int | ypad
| ) |

## Friends And Related Function Documentation

Gtk::Misc* wrap | ( | GtkMisc* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- misc.h